## dotnet6 6.0.116

=== src/diagnostics/src/pal/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12.2)

project(coreclrpal)

include_directories(SYSTEM /usr/local/include)

add_compile_options(-fPIC)

include(configure.cmake)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(CORECLR_SET_RPATH)
    # Enable @rpath support for shared libraries.
    set(MACOSX_RPATH ON)
endif(CORECLR_SET_RPATH)

if(CMAKE_VERSION VERSION_EQUAL 3.0 OR CMAKE_VERSION VERSION_GREATER 3.0)
    cmake_policy(SET CMP0042 NEW)
endif()

# Include directories

include_directories(include)

# Compile options

if(CLR_CROSS_COMPONENTS_BUILD)
    if(CMAKE_HOST_SYSTEM_PROCESSOR STREQUAL x86_64 OR CMAKE_HOST_SYSTEM_PROCESSOR STREQUAL amd64)
        if(CLR_CMAKE_TARGET_ARCH STREQUAL "arm")
            set(PAL_CMAKE_PLATFORM_ARCH_I386 1)
            add_definitions(-D_X86_)
        else()
            set(PAL_CMAKE_PLATFORM_ARCH_AMD64 1)
            add_definitions(-D_AMD64_)
        endif()
    elseif(CMAKE_HOST_SYSTEM_PROCESSOR STREQUAL i686)
        set(PAL_CMAKE_PLATFORM_ARCH_I386 1)
        add_definitions(-D_X86_)
    else()
        message(FATAL_ERROR "Only AMD64, I386 host for cross-architecture component is supported")
    endif()
else()
    if(CLR_CMAKE_PLATFORM_ARCH_AMD64)
        set(PAL_CMAKE_PLATFORM_ARCH_AMD64 1)
    elseif(CLR_CMAKE_PLATFORM_ARCH_ARM)
        set(PAL_CMAKE_PLATFORM_ARCH_ARM 1)
    elseif(CLR_CMAKE_PLATFORM_ARCH_ARM64)
        set(PAL_CMAKE_PLATFORM_ARCH_ARM64 1)
    elseif(CLR_CMAKE_PLATFORM_ARCH_I386)
        set(PAL_CMAKE_PLATFORM_ARCH_I386 1)
    elseif(CLR_CMAKE_PLATFORM_ARCH_MIPS64)
        set(PAL_CMAKE_PLATFORM_ARCH_MIPS64 1)
    else()
        message(FATAL_ERROR "Only ARM, AMD64, ARM64, MIPS64 and I386 is supported")
    endif()
endif()

add_definitions(-DPLATFORM_UNIX=1)
add_definitions(-DLP64COMPATIBLE=1)
add_definitions(-DFEATURE_PAL=1)
add_definitions(-DCORECLR=1)
add_definitions(-DPIC=1)
add_definitions(-D_FILE_OFFSET_BITS=64)
if(PAL_CMAKE_PLATFORM_ARCH_AMD64)
  add_definitions(-DBIT64=1)
  add_definitions(-D_WIN64=1)
  set(PAL_ARCH_SOURCES_DIR amd64)
elseif(PAL_CMAKE_PLATFORM_ARCH_ARM)
  add_definitions(-DBIT32=1)
  set(PAL_ARCH_SOURCES_DIR arm)
elseif(PAL_CMAKE_PLATFORM_ARCH_ARM64)
  add_definitions(-DBIT64=1)
  add_definitions(-D_WIN64=1)
  set(PAL_ARCH_SOURCES_DIR arm64)
elseif(PAL_CMAKE_PLATFORM_ARCH_I386)
  add_definitions(-DBIT32=1)
  set(PAL_ARCH_SOURCES_DIR i386)
elseif(PAL_CMAKE_PLATFORM_ARCH_MIPS64)
  add_definitions(-DBIT64=1)
  add_definitions(-D_WIN64=1)
  set(PAL_ARCH_SOURCES_DIR mips64)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Darwin)
  add_definitions(-D_TARGET_MAC64)
  add_definitions(-DXSTATE_SUPPORTED)
  set(PLATFORM_SOURCES
    arch/${PAL_ARCH_SOURCES_DIR}/context.S
  )
endif(CMAKE_SYSTEM_NAME STREQUAL Darwin)

if(PAL_CMAKE_PLATFORM_ARCH_AMD64 AND CMAKE_SYSTEM_NAME STREQUAL Linux AND NOT CLR_CMAKE_PLATFORM_ALPINE_LINUX)
  # Currently the _xstate is not available on Alpine Linux
  add_definitions(-DXSTATE_SUPPORTED)
endif(PAL_CMAKE_PLATFORM_ARCH_AMD64 AND CMAKE_SYSTEM_NAME STREQUAL Linux AND NOT CLR_CMAKE_PLATFORM_ALPINE_LINUX)

if(CLR_CMAKE_PLATFORM_ALPINE_LINUX)
  # Setting RLIMIT_NOFILE breaks debugging of coreclr on Alpine Linux for some reason
  add_definitions(-DDONT_SET_RLIMIT_NOFILE)
  # On Alpine Linux, we need to ensure that the reported stack range for the primary thread is
  # larger than the initial committed stack size.
  add_definitions(-DENSURE_PRIMARY_STACK_SIZE)
endif(CLR_CMAKE_PLATFORM_ALPINE_LINUX)

# turn off capability to remove unused functions (which was enabled in debug build with sanitizers)
set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -Wl,--no-gc-sections")

set(ARCH_SOURCES
  arch/${PAL_ARCH_SOURCES_DIR}/debugbreak.S
  arch/${PAL_ARCH_SOURCES_DIR}/processor.cpp
)

set(SOURCES
  cruntime/file.cpp
  cruntime/filecrt.cpp
  cruntime/lstr.cpp
  cruntime/malloc.cpp
  cruntime/math.cpp
  cruntime/mbstring.cpp
  cruntime/misc.cpp
  cruntime/misctls.cpp
  cruntime/path.cpp
  cruntime/printf.cpp
  cruntime/printfcpp.cpp
  cruntime/silent_printf.cpp
  cruntime/string.cpp
  cruntime/stringtls.cpp
  cruntime/wchar.cpp
  cruntime/wchartls.cpp
  debug/debug.cpp
  file/directory.cpp
  file/file.cpp
  file/filetime.cpp
  file/find.cpp
  file/path.cpp
  handlemgr/handleapi.cpp
  handlemgr/handlemgr.cpp
  init/pal.cpp
  loader/module.cpp
  loader/modulename.cpp
  locale/unicode.cpp
  locale/unicode_data.cpp
  locale/utf8.cpp
  map/common.cpp
  map/map.cpp
  map/virtual.cpp
  memory/heap.cpp
  memory/local.cpp
  misc/cgroup.cpp
  misc/dbgmsg.cpp
  misc/environ.cpp
  misc/error.cpp
  misc/errorstrings.cpp
  misc/fmtmessage.cpp
  misc/miscpalapi.cpp
  misc/msgbox.cpp
  misc/strutil.cpp
  misc/sysinfo.cpp
  misc/time.cpp
  misc/utils.cpp
  objmgr/palobjbase.cpp
  objmgr/shmobject.cpp
  objmgr/shmobjectmanager.cpp
  safecrt/makepath_s.cpp
  safecrt/memcpy_s.cpp
  safecrt/memmove_s.cpp
  safecrt/mbusafecrt.cpp
  safecrt/safecrt_input_s.cpp
  safecrt/safecrt_output_l.cpp
  safecrt/safecrt_output_s.cpp
  safecrt/safecrt_winput_s.cpp
  safecrt/safecrt_woutput_s.cpp
  safecrt/splitpath_s.cpp
  safecrt/sprintf_s.cpp
  safecrt/sscanf_s.cpp
  safecrt/strcat_s.cpp
  safecrt/strcpy_s.cpp
  safecrt/strlen_s.cpp
  safecrt/strncat_s.cpp
  safecrt/strncpy_s.cpp
  safecrt/strtok_s.cpp
  safecrt/swprintf.cpp
  safecrt/vsprintf.cpp
  safecrt/vswprint.cpp
  safecrt/wcscat_s.cpp
  safecrt/wcscpy_s.cpp
  safecrt/wcslen_s.cpp
  safecrt/wcsncat_s.cpp
  safecrt/wcsncpy_s.cpp
  safecrt/wcstok_s.cpp
  safecrt/wmakepath_s.cpp
  safecrt/wsplitpath_s.cpp
  safecrt/xtoa_s.cpp
  safecrt/xtow_s.cpp
  shmemory/shmemory.cpp
  sync/cs.cpp
  thread/thread.cpp
)

_add_library(coreclrpal
  STATIC
  ${SOURCES}
  ${ARCH_SOURCES}
  ${PLATFORM_SOURCES}
)

if(CMAKE_SYSTEM_NAME STREQUAL Darwin)
  find_library(COREFOUNDATION CoreFoundation)
  find_library(CORESERVICES CoreServices)
  find_library(SECURITY Security)
  find_library(SYSTEM System)
  target_link_libraries(coreclrpal
    ${COREFOUNDATION}
    ${CORESERVICES}
    ${SECURITY}
    ${SYSTEM}
  )
endif(CMAKE_SYSTEM_NAME STREQUAL Darwin)

if(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)
  target_link_libraries(coreclrpal
    pthread
    rt
  )
endif(CMAKE_SYSTEM_NAME STREQUAL FreeBSD)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
  # On Android, we don't need to link with gcc_s, pthread and rt
  if(NOT CLR_CMAKE_PLATFORM_ANDROID)
    target_link_libraries(coreclrpal
      gcc_s
      pthread
      rt
    )
  endif()

  if(CLR_CMAKE_PLATFORM_ANDROID)
    find_library(LZMA NAMES lzma)

    if(LZMA STREQUAL LZMA-NOTFOUND)
      message(FATAL_ERROR "Cannot find liblzma.")
    endif(LZMA STREQUAL LZMA-NOTFOUND)

    target_link_libraries(coreclrpal
      gnustl_shared
      android-support
      android-glob
      ${LZMA})
  endif()

  if(CLR_MAKE_PLATFORM_ANDROID)
    find_library(ANDROID_SUPPORT NAMES android-support)
    find_library(ANDROID_GLOB NAMES android-glob)

    if(ANDROID_SUPPORT STREQUAL ANDROID_SUPPORT-NOTFOUND)
      message(FATAL_ERROR "Cannot find android-support.")
    endif()

    if(ANDROID_GLOB STREQUAL ANDROID_GLOB-NOTFOUND)
      message(FATAL_ERROR "Cannot find android-glob.")
    endif()
  endif()

  target_link_libraries(coreclrpal
    dl
  )
endif(CMAKE_SYSTEM_NAME STREQUAL Linux)

if(CMAKE_SYSTEM_NAME STREQUAL NetBSD)
  add_definitions(-D_KMEMUSER)
  find_library(KVM kvm)
  target_link_libraries(coreclrpal
    pthread
    rt
    ${KVM}
  )
endif(CMAKE_SYSTEM_NAME STREQUAL NetBSD)

## dotnet6 6.0.110

=== debian/changelog ===
dotnet6 (6.0.110-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: cache poisoning
    - CVE-2022-41032: Nuget cache poisoning via world-writable cache directory.

  [ Miriam España Acebal ]
  * d/rules: _minor_sdk_version calculation updated to parse last two digits.
  * d/p/10199-arcade-add-clang-15-autodetection.patch
    and d/p/73065-runtime-fix-definition-cpuid-clang-15.patch: New
    patches for avoiding FTBFS when using clang-15 on amd64 architectures.

 -- Ian Constantin <ian.constantin@canonical.com>  Tue, 11 Oct 2022 11:11:12 -0400

dotnet6 (6.0.109-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2022-38013: ASP.NET Core MVC vulnerable to stack overflow via
      ModelStateDictionary recursion.
  * d/control: removed the libunwind-13 dependency for dotnet-runtime-6.0
    (LP: 1984450)
  * d/README.source: updated with info regarding private repo use.

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 12 Sep 2022 17:59:11 -0400

dotnet6 (6.0.108-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE
    - CVE-2022-34716: External Entity Injection during XML signature
      verification

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 04 Aug 2022 11:00:57 +0200

dotnet6 (6.0.107-0ubuntu2) kinetic; urgency=medium

  * d/copyright: Removing references to licenses for excluded
    libunwind vendorized code.
  * d/dotnet-host.bash-completion.in: Fixed path.
  * d/s/lintian-overrides: Fixing new format for lintian output.
    Added some new overrides for code shipped in the new tarball.

  [ Jesús Soto ]
  * d/copyright: Added vendorized libunwind code to Files-Excludes.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 26 Jul 2022 11:17:40 +0200

dotnet6 (6.0.107-0ubuntu1) kinetic; urgency=medium

  * New upstream version.
  * d/copyright: Added Files-Excluded stanza.
  * d/rules: Got the minor version for the SDK and apply it to the
    Priority on alternatives too.
  * d/build-dotnet-tarball.sh: Changed it to work with embargoed repo
    (new logic).
  * d/watch: Added commented part to work without script with a public
    monorepo. Added template/example/invalid parameter for the script.
  * d/README.source: Reflects now the new origtarball building,
    remove text about aggregated repositories building and not use
    of the d/p/series file.

  [ Jesús Soto ]
  * d/p/remove-libunwind-build.patch: Adapt CMakeLists.txt for use
    system libunwind instead of vendorized code.
  * d/p/series: Added above patch.
  * d/control: Added libunwind-dev to build dependencies and
    libunwind-13 as dotnet-runtime-6.0 dependency.
  * d/copyright: Added list of precompiled binaries files not used
    in building.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 22 Jul 2022 13:41:58 +0200

dotnet6 (6.0.106-0ubuntu2) kinetic; urgency=medium

  * dotnet-runtime-6.0: bump dependency on libicu70 ->
    libicu71 for the ICU transition
  * dotnet-runtime-6.0: drop dependency on libunwind-13,
    we currently use the vendored copy of libunwind

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jun 2022 09:36:29 +0000

dotnet6 (6.0.106-0ubuntu1) kinetic; urgency=medium

  * Initial Release (LP: #1979414)

  [ Steve Langasek ]
  * Adjustments to debian/copyright declarations based on Ubuntu NEW review.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 22 Jun 2022 13:22:15 +0200

=== debian/control ===
Source: dotnet6
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: clang,
               cmake,
               bash-completion,
               debhelper-compat (= 13),
               dotnet-sdk-6.0,
	       dotnet-sdk-6.0-source-built-artifacts,
               git,
               libicu-dev,
               libkrb5-dev,
               liblttng-ust-dev,
               libssl-dev,
               libunwind-dev,
               lld,
               llvm,
               locales-all,
               python3,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: binary-targets
Homepage: https://dot.net/core

Package: dotnet6
Architecture: amd64
Depends: dotnet-sdk-6.0, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET CLI tools and runtime
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.
 .
 dotNET contains a runtime conforming to dotNET Standards a set of
 framework libraries, an SDK containing compilers and a 'dotnet'
 application to drive everything.

Package: dotnet-host
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dotNET host command line
 The dotNET host is a command line program that runs a standalone
 dotNET application or launches the SDK.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-hostfxr-6.0
Architecture: amd64
Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET host resolver
 The dotNET host resolver contains the logic to resolve and select
 the right version of the dotNet SDK or runtime to use.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-runtime-6.0
Architecture: amd64
Depends: dotnet-hostfxr-6.0,
         libicu71,
         ${misc:Depends},
         ${shlibs:Depends}
Description: dotNET runtime
 The dotNET runtime contains everything needed to run dotNet applications.
 It includes a high performance Virtual Machine as well as the framework
 libraries used by dotNet applications.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: aspnetcore-runtime-6.0
Architecture: amd64
Depends: dotnet-runtime-6.0, ${misc:Depends}, ${shlibs:Depends}
Description: ASP dotNET Core runtime
 The ASP dotNET Core runtime contains everything needed to run dotNet
 web applications. It includes a high performance Virtual Machine as
 well as the framework libraries used by dotNet applications.
 .
 ASP dotNET Core is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-templates-6.0
Architecture: amd64
Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
Description: dotNET 6.0 templates
 This package contains templates used by the dotNet SDK.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-sdk-6.0
Architecture: amd64
Depends: aspnetcore-runtime-6.0,
         aspnetcore-targeting-pack-6.0,
         dotnet-apphost-pack-6.0,
         dotnet-runtime-6.0,
         dotnet-targeting-pack-6.0,
         dotnet-templates-6.0,
         netstandard-targeting-pack-2.1,
         ${misc:Depends},
         ${shlibs:Depends}
Description: dotNET 6.0 Software Development Kit
 The dotNET SDK is a collection of command line applications to
 create, build, publish and run dotNet applications.
 .
 dotNET is a fast, lightweight and modular platform for creating
 cross platform applications that work on GNU/Linux, macOS and Windows.
 .
 It particularly focuses on creating console applications, web
 applications and micro-services.

Package: dotnet-sdk-6.0-source-built-artifacts
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal package for building dotNet 6.0 Software Development Kit
 The dotNET source-built archive is a collection of packages needed
 to build the dotNET SDK itself.
 .
 These are not meant for general use.

Package: dotnet-targeting-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
 This package provides a targeting pack for Microsoft.NETCore.App 6.0
 that allows developers to compile against and target Microsoft.NETCore.App 6.0
 applications using the .NET SDK. This are not meant for general use.

Package: netstandard-targeting-pack-2.1
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for NETStandard.Library 2.1
 This package provides a targeting pack for NETStandard.Library 2.1
 that allows developers to compile against and target NETStandard.Library 2.1
 applications using the .NET SDK.
 This are not meant for general use.

Package: aspnetcore-targeting-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.AspNetCore.App 6.0
 This package provides a targeting pack for Microsoft.AspNetCore.App 6.0
 that allows developers to compile against and target
 Microsoft.AspNetCore.App 6.0 applications using the .NET SDK.
 This are not meant for general use.

Package: dotnet-apphost-pack-6.0
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
 This package provides a targeting pack for Microsoft.NETCore.App 6.0
 that allows developers to compile against and target Microsoft.NETCore.App 6.0
 applications using the .NET SDK. This not meant for general use.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

SHELL = /bin/bash
export HOME=$(shell mktemp -d)

ifeq ($(DEB_HOST_ARCH), amd64)
	_RUNTIME_ARCH = x64
endif
_RUNTIME_ID = $(shell . /etc/os-release; [ ! -z $${VERSION_ID} ] && echo $${ID}.$${VERSION_ID} || echo $${ID})
_SDK_VERSION = $(DEB_VERSION_UPSTREAM)
_minor_sdk_version=$(shell echo $(_SDK_VERSION) | sed 's/.*\(..\)/\1/')
_RUNTIME_VERSION = 6.0.$(_minor_sdk_version)
_VERSION = $(shell echo $(_SDK_VERSION) | cut -d'.' -f1)

PREFIX = /usr
SYSCONFDIR = /etc
BINDIR = $(PREFIX)/bin
LIBDIR = $(PREFIX)/lib
DATADIR = $(PREFIX)/share
MANDIR = $(DATADIR)/man
DESTDIR = $(CURDIR)/debian/tmp
DOTNET_TOP = $(LIBDIR)/dotnet
dotnet_version = dotnet$(_VERSION)
dotnet_dirname = $(dotnet_version)-$(_SDK_VERSION)
DOTNETLIBDIR=$(DOTNET_TOP)/$(dotnet_dirname)
DOTNETETCDIR=$(SYSCONFDIR)/dotnet


%:
	dh $@

override_dh_auto_build:

	mkdir -p $(CURDIR)/packages/archive
	ln -s $(DOTNET_TOP)/$(dotnet_version)/source-built-artifacts/Private.SourceBuilt.Artifacts.*.tar.gz $(CURDIR)/packages/archive/
	cp -RLp $(DOTNET_TOP)/$(dotnet_version) $(CURDIR)/previously-built-dotnet
	find previously-built-dotnet


	VERBOSE=1 ./build.sh \
	--with-sdk $(CURDIR)/previously-built-dotnet \
    	-- \
    	/v:n \
    	/p:SkipPortableRuntimeBuild=true \
    	/p:LogVerbosity=n \
    	/p:MinimalConsoleLogOutput=false \
    	/p:ContinueOnPrebuiltBaselineError=true \

override_dh_install:

	install -dm 0755 $(DESTDIR)/$(DOTNETLIBDIR)
	install -dm 0755 $(DESTDIR)/$(DOTNETETCDIR)
	ls artifacts/$(_RUNTIME_ARCH)/Release
	tar xf artifacts/$(_RUNTIME_ARCH)/Release/dotnet-sdk-$(_SDK_VERSION)-$(_RUNTIME_ID)-$(_RUNTIME_ARCH).tar.gz -C $(DESTDIR)/$(DOTNETLIBDIR)

	# See https://github.com/dotnet/source-build/issues/2579
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name 'testhost.x86' -delete
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name 'vstest.console' -delete


	# Fix executable permissions on files
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name 'apphost' -exec chmod +x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name 'lib*so' -exec chmod +x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name 'singlefilehost' -exec chmod +x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.a' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.dll' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.h' -exec chmod 0644 {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.json' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.pdb' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.props' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.pubxml' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.targets' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.txt' -exec chmod -x {} \;
	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.xml' -exec chmod -x {} \;


	install -dm 0755 $(DESTDIR)/$(DOTNETLIBDIR)/man/man1
	find -iname 'dotnet*.1' -type f -exec cp {} $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/ \;
	gzip -9v -n $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*

	for f in $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*.1.gz; do \
       	f=$$(basename $$f); \
		echo " /usr/share/man/man1/$$f $$f $(DOTNETLIBDIR)/man/man1/$$f" >> debian/tmp/dependants;  \
	done

	echo "$(DOTNETLIBDIR)" > install_location_$(_RUNTIME_ARCH)
	echo " /etc/dotnet/install_location install_location $(DOTNETLIBDIR)/install_location" >> debian/tmp/dependants
	echo " /etc/dotnet/install_location_$(_RUNTIME_ARCH) install_location_$(_RUNTIME_ARCH) $(DOTNETLIBDIR)/install_location_$(_RUNTIME_ARCH)" >> debian/tmp/dependants


	cat debian/tmp/dependants >> debian/dotnet-host.alternatives.in
	echo "Priority: 6010$(_minor_sdk_version)" >> debian/dotnet-host.alternatives.in


	for f in debian/*.in; do \
	  f2=$$(echo $$f | sed 's/\.in$$//'); \
	  sed -e 's,@DOTNET_TOP@,$(DOTNET_TOP),g' \
	      -e 's,@basedir@,$(DOTNETLIBDIR),g' \
	      -e 's,@dotnet_dirname@,$(dotnet_dirname),g' \
	      -e 's,@major@,$(_VERSION),g' \
    	  -e 's,@dotnet_version@,$(dotnet_version),g' \
	      -e 's,@rid@,$(_RUNTIME_ID),g' \
	      -e 's,@arch@,$(_RUNTIME_ARCH),g' \
	      -e 's,@etcdir@,$(DOTNETETCDIR),g' \
	      -e 's,@multiarch@,$(DEB_HOST_MULTIARCH),g' \
	      -e 's,@hostarch@,$(DEB_HOST_ARCH),g' \
	      -e 's,@runtimearch@,$(_RUNTIME_ARCH),g' \
	    $$f > $$f2; \
	done

	cp $(CURDIR)/debian/install_location $(CURDIR)/debian/install_location_$(_RUNTIME_ARCH)
	rm debian/tmp/dependants
	dh_install

override_dh_dwz:
#	Leaving it empty due to "dwz: Unknown debugging section .debug_addr"

=== debian/tests/control ===
Tests: basic-checks basic-commands
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%dotnet-$1.tar.gz%" \
  https://github.com/dotnet/installer/tags \
  (?:.*?/)?v(\d[\d.]*)\.tar\.gz \
  debian debian/build-dotnet-tarball.sh <target_repo>

## dotnet6 6.0.116

=== debian/changelog ===
dotnet6 (6.0.116-0ubuntu2) lunar; urgency=medium

  * tests/basic-checks: updated basic version check to new dotnet version.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 12 Apr 2023 12:01:23 +0300

dotnet6 (6.0.116-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-28260: AzureDevOps Elevation of Privilege - Dotnet CWD dll
      hijack vuln.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 05 Apr 2023 16:11:34 +0300

dotnet6 (6.0.115-0ubuntu2) lunar; urgency=medium

  * d/p/add-kinetic-rids.patch: Added RIDs for ubuntu 22.10 kinetic.
    - Based on the dropped d/p/66225runtime-fix-runtime-id.patch 
      from wfurt <tweinfurt@yahoo.com>.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 21 Mar 2023 19:58:57 +0200

dotnet6 (6.0.115-0ubuntu1) lunar; urgency=medium

  * New upstream microrelease.
  * d/p/66225runtime-fix-runtime-id.patch: Dropped.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Fri, 10 Mar 2023 13:02:43 +0100

dotnet6 (6.0.114-0ubuntu1) lunar; urgency=medium

  * New upstream microrelease.
  * d/control: Using libicu72.
  * d/p/1501sdk-22373-portablerid.patch: Dropped.
  * d/repack-dotnet-tarball.sh: New file. Repack MS tarball.
  * d/rules: if-else for bootstrapping building versus normal one (as done
    for dotnet7). Reenabling install_location file per architecture. Removing
    unused commented lines for clarity.
  * d/tests: Updating these to match the style of those in dotnet7.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Thu, 09 Mar 2023 12:15:50 +0100

dotnet6 (6.0.113-0ubuntu2) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:32:29 -0500

dotnet6 (6.0.113-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: denial of service
    - CVE-2023-21538: Parsing an empty HTTP response as a JSON.NET JObject
      causes a stack overflow and crashes a process.

 -- Ian Constantin <ian.constantin@canonical.com>  Thu, 05 Jan 2023 10:29:20 +0200

dotnet6 (6.0.112-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1999549).
  * d/p/series: Removing patch
    73065-runtime-fix-definition-cpuid-clang-15.patch.
  * d/dotnet-host.install.in: Fix destination of install_location*
    files (LP: #1999266).
  * d/dotnet.sh.in: Eliminate the condition to force updating of
    DOTNET_ROOT variable (LP: #1997746).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 13 Dec 2022 11:03:19 +0100

dotnet6 (6.0.111-0ubuntu3) lunar; urgency=medium

  * Don't remove the --with-sdk option, this is supposed to be there.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Nov 2022 20:57:19 +0000

dotnet6 (6.0.111-0ubuntu2) lunar; urgency=medium

  * Packaging fixups to fix ftbfs against existing 6.0.110.
  * Refresh debian/patches/66225runtime-fix-runtime-id.patch for lunar.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Nov 2022 19:44:47 +0000

dotnet6 (6.0.111-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * d/build-dotnet-tarball-sh: No removing libunwind needed by arm64.
  * d/control: building for arm64 too.
  * d/copyright: Non excluding libunwind needed by arm64..
  * d/dotnet-host.install.in: Removing manpages and bash-completion.
  * d/dotnet-host.links.in: New file for dotnet binary.
  * d/dotnet-host.preinst: New file for removing alternatives.
  * d/dotnet-host.manpages : New file.
  * d/dotnet-host.lintian-overrides: New file for man page warnings
    that are being fixed in upstream.
  * d/p/remove-libunwind-build.patch : Modified to apply depending
    on architecture.
  * d/rules:
    + DOTNETLIBDIR is now only DOTNET_TOP
    + Adding --with bash-completion
    + Eliminating dependants creation for alternatives.
    + Eliminating manual installation of man pages.
    (LP: #1996499)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Mon, 31 Oct 2022 14:32:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,11 @@
 export HOME=$(shell mktemp -d)
 
 ifeq ($(DEB_HOST_ARCH), amd64)
-	_RUNTIME_ARCH = x64
+        _RUNTIME_ARCH = x64
+else ifeq ($(DEB_HOST_ARCH), arm64)
+        _RUNTIME_ARCH = arm64
 endif
+
 _RUNTIME_ID = $(shell . /etc/os-release; [ ! -z $${VERSION_ID} ] && echo $${ID}.$${VERSION_ID} || echo $${ID})
 _SDK_VERSION = $(DEB_VERSION_UPSTREAM)
 _minor_sdk_version=$(shell echo $(_SDK_VERSION) | sed 's/.*\(..\)/\1/')
@@ -27,29 +30,39 @@
 DOTNET_TOP = $(LIBDIR)/dotnet
 dotnet_version = dotnet$(_VERSION)
 dotnet_dirname = $(dotnet_version)-$(_SDK_VERSION)
-DOTNETLIBDIR=$(DOTNET_TOP)/$(dotnet_dirname)
+DOTNETLIBDIR=$(DOTNET_TOP)
 DOTNETETCDIR=$(SYSCONFDIR)/dotnet
 
+INITIAL_BOOTSTRAPPING=1
 
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_build:
 
+ifeq ($(INITIAL_BOOTSTRAPPING),1)
 	mkdir -p $(CURDIR)/packages/archive
-	ln -s $(DOTNET_TOP)/$(dotnet_version)/source-built-artifacts/Private.SourceBuilt.Artifacts.*.tar.gz $(CURDIR)/packages/archive/
-	cp -RLp $(DOTNET_TOP)/$(dotnet_version) $(CURDIR)/previously-built-dotnet
+	ln -s $(DOTNET_TOP)/source-built-artifacts/Private.SourceBuilt.Artifacts.*.tar.gz $(CURDIR)/packages/archive/
+	cp -RLp $(DOTNET_TOP) $(CURDIR)/previously-built-dotnet
 	find previously-built-dotnet
-
 
 	VERBOSE=1 ./build.sh \
 	--with-sdk $(CURDIR)/previously-built-dotnet \
-    	-- \
-    	/v:n \
-    	/p:SkipPortableRuntimeBuild=true \
-    	/p:LogVerbosity=n \
-    	/p:MinimalConsoleLogOutput=false \
-    	/p:ContinueOnPrebuiltBaselineError=true \
+	-- \
+	/v:n \
+	/p:SkipPortableRuntimeBuild=true \
+	/p:LogVerbosity=n \
+	/p:MinimalConsoleLogOutput=false \
+   	/p:ContinueOnPrebuiltBaselineError=true
+else
+	VERBOSE=1 ./build.sh --clean-while-building \
+	-- \
+	/v:n \
+	/p:SkipPortableRuntimeBuild=true \
+	/p:LogVerbosity=n \
+	/p:MinimalConsoleLogOutput=false \
+	/p:ContinueOnPrebuiltBaselineError=true
+endif
 
 override_dh_install:
 
@@ -78,24 +91,7 @@
 	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.txt' -exec chmod -x {} \;
 	find $(DESTDIR)/$(DOTNETLIBDIR) -type f -name '*.xml' -exec chmod -x {} \;
 
-
-	install -dm 0755 $(DESTDIR)/$(DOTNETLIBDIR)/man/man1
-	find -iname 'dotnet*.1' -type f -exec cp {} $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/ \;
-	gzip -9v -n $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*
-
-	for f in $(DESTDIR)/$(DOTNETLIBDIR)/man/man1/*.1.gz; do \
-       	f=$$(basename $$f); \
-		echo " /usr/share/man/man1/$$f $$f $(DOTNETLIBDIR)/man/man1/$$f" >> debian/tmp/dependants;  \
-	done
-
 	echo "$(DOTNETLIBDIR)" > install_location_$(_RUNTIME_ARCH)
-	echo " /etc/dotnet/install_location install_location $(DOTNETLIBDIR)/install_location" >> debian/tmp/dependants
-	echo " /etc/dotnet/install_location_$(_RUNTIME_ARCH) install_location_$(_RUNTIME_ARCH) $(DOTNETLIBDIR)/install_location_$(_RUNTIME_ARCH)" >> debian/tmp/dependants
-
-
-	cat debian/tmp/dependants >> debian/dotnet-host.alternatives.in
-	echo "Priority: 6010$(_minor_sdk_version)" >> debian/dotnet-host.alternatives.in
-
 
 	for f in debian/*.in; do \
 	  f2=$$(echo $$f | sed 's/\.in$$//'); \
@@ -114,7 +110,6 @@
 	done
 
 	cp $(CURDIR)/debian/install_location $(CURDIR)/debian/install_location_$(_RUNTIME_ARCH)
-	rm debian/tmp/dependants
 	dh_install
 
 override_dh_dwz:

## dotnet6 6.0.120

=== debian/changelog ===
dotnet6 (6.0.120-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-33170: Race Condition in ASP.NET Core SignInManager<TUser>
      PasswordSignInAsync Method
  * debian/tests/control: enabled test dotnet-runtime-json-contains-ubuntu-rids
  * debian/tests/.tests.rc.d/init.sh: fixed parsing error of runtime revision number

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 06 Jul 2023 11:41:52 +0530

dotnet6 (6.0.119-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release.
    - Fixes regression that was introduced with the bugfix for CVE-2023-29331:
      Loading null-password-encrypted PFX certificates through .NET can fail
      unexpectedly for certificates that previously loaded successfully.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 22 Jun 2023 15:19:23 +0530

dotnet6 (6.0.118-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-24936: Bypass restrictions when deserializing a DataSet or
      DataTable from XML.
  * SECURITY UPDATE: denial of service
    - CVE-2023-29331: When a .NET application is internet-facing and accepts
      an X509 client certificate for mutual TLS, a malicious client certificate
      can cause unbounded CPU usage.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-29337: A vulnerability exists in NuGet where a potential race
      condition can lead to a symlink attack.
  * SECURITY UPDATE: remote code execution
    - CVE-2023-33128: An issue in source generators can lead to a crash due to
      unmanaged heap corruption.
  * debian/patches/add-kinetic-rids.patch: removed due to inclusion upstream.

  [ Dominik Viererbe ]
  * d/t: extended autopkgtest:
    * essential-binaries-and-config-files-should-be-present
    * cli-metadata-should-be-correct
    * global-json-should-be-detected
    * console-template-should-build-and-run
    * dotnet-help-should-show-output
    * dotnet-project-management-cli-should-work
    * example-fsharp-script-output-should-equal-expected-values
    * building-hello-world-for-all-supported-rids-should-work
    * dotnet-xunit-tests-should-work
    * nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery
    * crossbuild-for-windows-x64-should-run
    * dotnet6-and-dotnet7-should-work-together

 -- Ian Constantin <ian.constantin@canonical.com>  Fri, 02 Jun 2023 18:32:40 +0300

dotnet6 (6.0.116-0ubuntu1~22.10.1) kinetic-security; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-28260: AzureDevOps Elevation of Privilege - Dotnet CWD dll
      hijack vuln.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 05 Apr 2023 16:09:08 +0300

dotnet6 (6.0.115-0ubuntu2~22.10.1) kinetic; urgency=medium

  * Backport dotnet 6.0.115 to kinetic (LP: #2011807).
    - debian/control: revert to libicu71

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 22 Mar 2023 13:11:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                bash-completion,
                debhelper-compat (= 13),
                dotnet-sdk-6.0,
-	       dotnet-sdk-6.0-source-built-artifacts,
+               dotnet-sdk-6.0-source-built-artifacts,
                git,
                libicu-dev,
                libkrb5-dev,
                liblttng-ust-dev,
                libssl-dev,
-               libunwind-dev,
+               libunwind-dev [amd64],
                lld,
                llvm,
                locales-all,
@@ -24,7 +24,7 @@
 Homepage: https://dot.net/core
 
 Package: dotnet6
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-sdk-6.0, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET CLI tools and runtime
  dotNET is a fast, lightweight and modular platform for creating
@@ -38,7 +38,7 @@
  application to drive everything.
 
 Package: dotnet-host
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET host command line
  The dotNET host is a command line program that runs a standalone
@@ -51,7 +51,7 @@
  applications and micro-services.
 
 Package: dotnet-hostfxr-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET host resolver
  The dotNET host resolver contains the logic to resolve and select
@@ -64,7 +64,7 @@
  applications and micro-services.
 
 Package: dotnet-runtime-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-hostfxr-6.0,
          libicu71,
          ${misc:Depends},
@@ -81,7 +81,7 @@
  applications and micro-services.
 
 Package: aspnetcore-runtime-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-runtime-6.0, ${misc:Depends}, ${shlibs:Depends}
 Description: ASP dotNET Core runtime
  The ASP dotNET Core runtime contains everything needed to run dotNet
@@ -95,7 +95,7 @@
  applications and micro-services.
 
 Package: dotnet-templates-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: dotnet-host, ${misc:Depends}, ${shlibs:Depends}
 Description: dotNET 6.0 templates
  This package contains templates used by the dotNet SDK.
@@ -107,7 +107,7 @@
  applications and micro-services.
 
 Package: dotnet-sdk-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: aspnetcore-runtime-6.0,
          aspnetcore-targeting-pack-6.0,
          dotnet-apphost-pack-6.0,
@@ -128,7 +128,7 @@
  applications and micro-services.
 
 Package: dotnet-sdk-6.0-source-built-artifacts
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal package for building dotNet 6.0 Software Development Kit
  The dotNET source-built archive is a collection of packages needed
@@ -137,7 +137,7 @@
  These are not meant for general use.
 
 Package: dotnet-targeting-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
  This package provides a targeting pack for Microsoft.NETCore.App 6.0
@@ -145,7 +145,7 @@
  applications using the .NET SDK. This are not meant for general use.
 
 Package: netstandard-targeting-pack-2.1
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for NETStandard.Library 2.1
  This package provides a targeting pack for NETStandard.Library 2.1
@@ -154,7 +154,7 @@
  This are not meant for general use.
 
 Package: aspnetcore-targeting-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.AspNetCore.App 6.0
  This package provides a targeting pack for Microsoft.AspNetCore.App 6.0
@@ -163,7 +163,7 @@
  This are not meant for general use.
 
 Package: dotnet-apphost-pack-6.0
-Architecture: amd64
+Architecture: amd64 arm64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Internal - targeting pack for Microsoft.NETCore.App 6.0
  This package provides a targeting pack for Microsoft.NETCore.App 6.0

=== debian/tests/control ===
Tests: 
 essential-binaries-and-config-files-should-be-present
Depends: dotnet6
Restrictions: superficial

Tests:
 cli-metadata-should-be-correct
Depends: dotnet6
Restrictions: skippable

Tests:
 global-json-should-be-detected,
 console-template-should-build-and-run,
 dotnet-help-should-show-output,
 dotnet-project-management-cli-should-work,
 example-fsharp-script-output-should-equal-expected-values,
 building-hello-world-for-all-supported-rids-should-work,
 dotnet-runtime-json-contains-ubuntu-rids
Depends: dotnet6

Tests: 
 dotnet-xunit-tests-should-work,
 nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery
Depends: dotnet6
Restrictions: needs-internet

Tests: 
 crossbuild-for-windows-x64-should-run
Depends: dotnet6, wine
Architecture: amd64

Tests:
 dotnet6-and-dotnet7-should-work-together
Depends: dotnet6, dotnet7

## dotnet6 6.0.121

=== debian/changelog ===
dotnet6 (6.0.121-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-35390: When running some dotnet commands(e.g. dotnet help
      add), dotnet attempts to locate and initiate a new process using
      cmd.exe. However, it prioritizes searching for cmd.exe in the current
      working directory (CWD) before checking other locations. This can
      potentially lead to the execution of malicious code.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38178: ASP.NET Kestrel stream flow control issue causing a
      leak. A malicious QUIC client, that fires off many unidirectional
      streams with closed writing sides. This will bypass the HTTP/3 stream
      limit and Kestrel cannot keep up with stream processing.
  * SECURITY UPDATE: denial of service
    - CVE-2023-38180: Kestrel vulnerability to slow read attacks

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 02 Aug 2023 13:18:55 +0530

dotnet6 (6.0.120-0ubuntu2) mantic; urgency=medium

  * d/README.source: updated content
    * added support documentation
    * added end of life process documentation
    * general overhaul
  * d/dotnet.sh.in: DOTNET_ROOT was unnecessarily set (LP: #2027620)
  * d/t/essential-binaries-and-config-files-should-be-present:
    remove check if DOTNET_ROOT is set
  * d/watch
    * updated matching-pattern to only match 6.0.1XX releases
    * d/watch file will fail now deliberately. See comment in d/watch
      for more information
  * unify d/repack-dotnet-tarball.sh into d/build-dotnet-tarball.sh and
    updated command line interface

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 27 Jul 2023 14:19:58 +0300

dotnet6 (6.0.120-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: security feature bypass
    - CVE-2023-33170: Race Condition in ASP.NET Core SignInManager<TUser>
      PasswordSignInAsync Method
  * debian/tests/control: enabled test dotnet-runtime-json-contains-ubuntu-rids
  * debian/tests/.tests.rc.d/init.sh: fixed parsing error of runtime revision number

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 06 Jul 2023 11:51:46 +0530

dotnet6 (6.0.119-0ubuntu1) mantic; urgency=medium

  [ Dominik Viererbe ]
  * New upstream release.
    - Fixes regression that was introduced with the bugfix for CVE-2023-29331:
      Loading null-password-encrypted PFX certificates through .NET can fail
      unexpectedly for certificates that previously loaded successfully.

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 22 Jun 2023 15:48:04 +0530

dotnet6 (6.0.118-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * SECURITY UPDATE: elevation of privilege
    - CVE-2023-24936: Bypass restrictions when deserializing a DataSet or
      DataTable from XML.
  * SECURITY UPDATE: denial of service
    - CVE-2023-29331: When a .NET application is internet-facing and accepts
      an X509 client certificate for mutual TLS, a malicious client certificate
      can cause unbounded CPU usage.
  * SECURITY UPDATE: remote code exection
    - CVE-2023-29337: A vulnerability exists in NuGet where a potential race
      condition can lead to a symlink attack.
  * SECURITY UPDATE: remote code execution
    - CVE-2023-33128: An issue in source generators can lead to a crash due to
      unmanaged heap corruption.
  * debian/patches/add-kinetic-rids.patch: removed due to inclusion upstream.
  * debian/patches/add-mantic-rids.patch: removed due to inclusion upstream.

 -- Ian Constantin <ian.constantin@canonical.com>  Fri, 02 Jun 2023 15:06:25 +0300

dotnet6 (6.0.116-0ubuntu3) mantic; urgency=medium

  * d/p/add-mantic-rids.patch: Added RIDs for ubuntu 23.10 mantic.
  * d/p/add-kinetic-rids.patch: refreshed to ab style patch
  * d/t: extended autopkgtest:
    * essential-binaries-and-config-files-should-be-present
    * cli-metadata-should-be-correct
    * global-json-should-be-detected
    * console-template-should-build-and-run
    * dotnet-help-should-show-output
    * dotnet-project-management-cli-should-work
    * example-fsharp-script-output-should-equal-expected-values
    * building-hello-world-for-all-supported-rids-should-work
    * dotnet-xunit-tests-should-work
    * nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery
    * crossbuild-for-windows-x64-should-run
    * dotnet6-and-dotnet7-should-work-together

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 19 May 2023 10:36:01 +0300

=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
 Package: dotnet-runtime-6.0
 Architecture: amd64 arm64
 Depends: dotnet-hostfxr-6.0,
-         libicu71,
+         libicu72,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: dotNET runtime

=== debian/tests/control ===
Tests:
 essential-binaries-and-config-files-should-be-present,
Depends: dotnet6
Restrictions: superficial

Tests:
 cli-metadata-should-be-correct,
Depends: dotnet6
Restrictions: skippable

Tests:
 global-json-should-be-detected,
 console-template-should-build-and-run,
 dotnet-help-should-show-output,
 dotnet-project-management-cli-should-work,
 example-fsharp-script-output-should-equal-expected-values,
 building-hello-world-for-all-supported-rids-should-work,
 dotnet-runtime-json-contains-ubuntu-rids,
Depends: dotnet6

Tests:
 dotnet-xunit-tests-should-work,
 nuget-cli-should-be-able-to-consume-packages-from-nuget-gallery,
Depends: dotnet6
Restrictions: needs-internet

Tests:
 crossbuild-for-windows-x64-should-run,
Depends: dotnet6, wine
Architecture: amd64

Tests:
 dotnet6-and-dotnet7-should-work-together,
Depends: dotnet6, dotnet7

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s%(?:.*?)?v(6\.0\.1\d\d)\.tar\.gz%dotnet-$1.tar.gz%" \
https://github.com/dotnet/installer/tags \
(?:.*?/)?v(6\.0\.1\d\d)\.tar\.gz \
# See the section "Package Design Considerations" > "`debian/watch` file"
# in the README.source file for more context.
debian debian/failing-watchfile-script.sh
